# sasdata.dataloader.readers.associations module

Module to associate default readers to file extensions. The module reads an xml file to get the readers for each file extension. The readers are tried in order they appear when reading a file.

sasdata.dataloader.readers.associations.get_fallback_readers(settings: [FileReader] = None, use_defaults: bool = True) → [callable]

  Returns a list of fallback readers that the data loader system will use in an attempt to load a data file. A list of loaders can be passed as an argument which will be appended to (if use_defaults is True) or override the list of default readers. :param settings: A list of modules to use as default readers. If None is passed, a default list will be used. :param use_defaults: Boolean to say if the default fallback readers should be added to the list of readers returned. :return: Final list of fallback loader modules the dataloader system will try if necessary

sasdata.dataloader.readers.associations.read_associations(loader, settings=None)

  Use the specified settings dictionary to associate readers to file extension. :param loader: Loader object :param settings: A dictionary in the format {str(file extension): data_loader_class} that is used to associate a file extension to a data loader class